Bug 18065 - Exclude disabled form controls from specially focusable elements.
Exclude disabled form controls from specially focusable elements.
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
: a11y, a11ytf, a11y_focus
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 16:19 UTC by contributor
Modified: 2012-11-11 01:12 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 16:19:57 UTC
This was was cloned from bug 16018 as part of operation convergence.
Originally filed: 2012-02-17 17:36:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-02-17 17:36:44 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/editing.html
Multipage: http://www.whatwg.org/C#focusable
Complete: http://www.whatwg.org/c#focusable

Comment:
Exclude disabled form controls from specially focusable elements.

Posted from: 114.25.240.243 by kennyluck@csail.mit.edu
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/534.51.22 (KHTML, like Gecko) Version/5.1.1 Safari/534.51.22
================================================================================
 #1   Kang-Hao (Kenny) Lu                             2012-02-17 17:46:05 +0000 
--------------------------------------------------------------------------------
This paragraph doesn't exclude disabled form controls that have tabindex specified. In the following test case "onfocus" doesn't appear in IE9, Firefox 10, Safari 5 and Chromium 18

data:text/html,<!DOCTYPE html><textarea tabindex="0" disabled onfocus='document.write("onfocus");'>CLICK</textarea><script>document.querySelector('textarea').focus()</script>

(Opera12alpha is a bit special but that has nothing to do with 'tabindex'. It fires the 'focus' event for disabled form controls when focus() is called, which is not following the spec.)

I think in general this paragraph should exclude all elements :disabled matches. Test case:

data:text/html,<!DOCTYPE html><fieldset disabled><textarea tabindex="0" onfocus='document.write("onfocus");'>CLICK</textarea></fieldset><script>document.querySelector('textarea').focus()</script>

Firefox follows my expectable but IE9 and WebKit browsers don't. That's because they don't implement 'disabled' on <fieldset>.
================================================================================
Comment 1 Silvia Pfeiffer 2012-11-11 01:12:57 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/fa5f20cdde3075c3c01fb89cf8858ba5cb513641
Rationale: adopted WHATWG change